﻿#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Audio;
#endregion

namespace LD27
{
    public class GeneratedTexturePartsAtlas
    {
        public GeneratedTexturePartsAtlas(Texture2D texture, int frameWidth)
        {
            Texture = texture;
            FrameWidth = frameWidth;

            if (texture.Width % frameWidth != 0)
                throw new Exception();
            FrameCount = texture.Width / frameWidth;
        }

        public int FrameCount { get; private set; }

        public Texture2D Texture { get; private set; }
        public int FrameWidth { get; private set; }
    }
}
